PBRecord (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.store.records.impl.pb, interface: PBRecord

Package org.apache.hadoop.hdfs.server.federation.store.records.impl.pb

# Interface PBRecord

All Known Implementing Classes:
  `AddMountTableEntriesRequestPBImpl`, `AddMountTableEntriesResponsePBImpl`, `AddMountTableEntryRequestPBImpl`, `AddMountTableEntryResponsePBImpl`, `DisabledNameservicePBImpl`, `DisableNameserviceRequestPBImpl`, `DisableNameserviceResponsePBImpl`, `EnableNameserviceRequestPBImpl`, `EnableNameserviceResponsePBImpl`, `EnterSafeModeRequestPBImpl`, `EnterSafeModeResponsePBImpl`, `GetDestinationRequestPBImpl`, `GetDestinationResponsePBImpl`, `GetDisabledNameservicesRequestPBImpl`, `GetDisabledNameservicesResponsePBImpl`, `GetMountTableEntriesRequestPBImpl`, `GetMountTableEntriesResponsePBImpl`, `GetNamenodeRegistrationsRequestPBImpl`, `GetNamenodeRegistrationsResponsePBImpl`, `GetNamespaceInfoRequestPBImpl`, `GetNamespaceInfoResponsePBImpl`, `GetRouterRegistrationRequestPBImpl`, `GetRouterRegistrationResponsePBImpl`, `GetRouterRegistrationsRequestPBImpl`, `GetRouterRegistrationsResponsePBImpl`, `GetSafeModeRequestPBImpl`, `GetSafeModeResponsePBImpl`, `LeaveSafeModeRequestPBImpl`, `LeaveSafeModeResponsePBImpl`, `MembershipStatePBImpl`, `MembershipStatsPBImpl`, `MountTablePBImpl`, `NamenodeHeartbeatRequestPBImpl`, `NamenodeHeartbeatResponsePBImpl`, `RefreshMountTableEntriesRequestPBImpl`, `RefreshMountTableEntriesResponsePBImpl`, `RefreshSuperUserGroupsConfigurationRequestPBImpl`, `RefreshSuperUserGroupsConfigurationResponsePBImpl`, `RemoveMountTableEntryRequestPBImpl`, `RemoveMountTableEntryResponsePBImpl`, `RouterHeartbeatRequestPBImpl`, `RouterHeartbeatResponsePBImpl`, `RouterStatePBImpl`, `StateStoreVersionPBImpl`, `UpdateMountTableEntryRequestPBImpl`, `UpdateMountTableEntryResponsePBImpl`, `UpdateNamenodeRegistrationRequestPBImpl`, `UpdateNamenodeRegistrationResponsePBImpl`

public interface PBRecord
A record implementation using Protobuf.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.thirdparty.protobuf.Message`
  `getProto()`
  Get the protocol for the record.
  `void`
  `readInstance(String base64String)`
  Populate this record with serialized data.
  `void`
  `setProto(org.apache.hadoop.thirdparty.protobuf.Message proto)`
  Set the protocol for the record.

- ## Method Details

  - ### getProto

    org.apache.hadoop.thirdparty.protobuf.Message getProto()
    Get the protocol for the record.
    Returns:
      The protocol for this record.

  - ### setProto

    void setProto(org.apache.hadoop.thirdparty.protobuf.Message proto)
    Set the protocol for the record.
    Parameters:
      `proto` - Protocol for this record.

  - ### readInstance

    void readInstance(String base64String) throws IOException
    Populate this record with serialized data.
    Parameters:
      `base64String` - Serialized data in base64.
    Throws:
      `IOException` - If it cannot read the data.